package org.josast.amicalsat;

import org.josast.amicalsat.FrameTlmAmicalsat.A1GyroType;
import org.josast.amicalsat.FrameTlmAmicalsat.A1Type;

// #A1;GYRO;[Current timestamp];[GyroX];[GyroY];[GyroZ]
public class A1GyroTypeFrame extends Frame {

	private String timeStamps;
	private String giroX;
	private String giroZ;
	private String giroY;

	@Override
	public void setUp(FrameTlmAmicalsat cube) {
		A1Type a1type = (A1Type) cube.frameTlmEntrySat().payload().tlmAreaSwitch();
		A1GyroType log = (A1GyroType) a1type.tlmSw();
		timeStamps = log.timeStamps();
		hash.put("TimeStamp", timeStamps);

		giroX = log.giroX();
		hash.put("giroX", giroX);
		giroY = log.giroY();		
		hash.put("giroY", giroY);
		giroZ = log.giroZ();		
		hash.put("giroZ", giroZ);

	}


}
